## net.sf.antcontrib.design
Class Design

    java.lang.Object
      net.sf.antcontrib.design.Design

    public class Design

extends java.lang.Object

FILL IN JAVADOC HERE

Author:
  Dean Hiller(dean@xsoftware.biz)

Constructor Summary
`Design(boolean isCircularDesign, Log log, org.apache.tools.ant.Location loc)`

Method Summary
`void` `addConfiguredPackage(Package p)`
`void` `fillInUnusedPackages(java.util.Vector designErrors)`
`java.lang.String` `getCurrentClass()`
`static java.lang.String` `getErrorMessage(java.lang.String className, java.lang.String dependsOnClass)`
`static java.lang.String` `getNoDefinitionError(java.lang.String className)`
`Package` `getPackage(java.lang.String nameAttribute)`
`static java.lang.String` `getWrapperMsg(java.io.File originalFile, java.lang.String message)`
`boolean` `isClassInPackage(java.lang.String className, Package p)`
`boolean` `needEvalCurrentClass(java.lang.String className)`
`void` `verifyDependencyOk(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Design

    public Design(boolean isCircularDesign,
                  Log log,
                  org.apache.tools.ant.Location loc)

Method Detail

### getPackage

    public Package getPackage(java.lang.String nameAttribute)

### addConfiguredPackage

    public void addConfiguredPackage(Package p)

### verifyDependencyOk

    public void verifyDependencyOk(java.lang.String className)

  Parameters:
    `className` - Class name of a class our currentAliasPackage depends on.

### isClassInPackage

    public boolean isClassInPackage(java.lang.String className,
                                    Package p)

### needEvalCurrentClass

    public boolean needEvalCurrentClass(java.lang.String className)

  Parameters:
    `className` -
  Returns:
    whether or not this class needs to be checked. (ie. if the attribute needdepends=false, we don't care about this package.

### getCurrentClass

    public java.lang.String getCurrentClass()

### getErrorMessage

    public static java.lang.String getErrorMessage(java.lang.String className,
                                                   java.lang.String dependsOnClass)

### getNoDefinitionError

    public static java.lang.String getNoDefinitionError(java.lang.String className)

### getWrapperMsg

    public static java.lang.String getWrapperMsg(java.io.File originalFile,
                                                 java.lang.String message)

### fillInUnusedPackages

    public void fillInUnusedPackages(java.util.Vector designErrors)

  Parameters:
    `designErrors` -